Bug 586748 - xbmc is not usable with nouveau driver
xbmc is not usable with nouveau driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 06:09 EDT by Fabien Archambault
Modified: 2010-05-26 14:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 14:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cat /var/log/Xorg.*.log > Xorg.log (103.65 KB, application/octet-stream)
2010-05-03 08:28 EDT, Fabien Archambault
no flags Details
dmesg (77.75 KB, text/plain)
2010-05-03 08:29 EDT, Fabien Archambault
no flags Details

  None (edit)
Description Fabien Archambault 2010-04-28 06:09:01 EDT
Description of problem:
I send the problem to rpmfusion and they asked me to also post here against nouveau and Fedora : https://bugzilla.rpmfusion.org/show_bug.cgi?id=1185

Version-Release number of selected component (if applicable): 
xbmc-9.11-18.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-3.20100305git6b8b157.fc13.x86_64

How reproducible: always

Steps to Reproduce:
1. Start xbmc
  
Actual results: nearly impossible to use xbmc

Additional info:
graphic card: 01:00.0 VGA compatible controller: nVidia Corporation G86
[GeForce 8400M GS] (rev a1)
Comment 1 Luigi Pardey 2010-05-02 09:23:17 EDT
Thanks for reporting. We also need you to attach the xorg.log file.

(In reply to comment #0)
> 
> Actual results: nearly impossible to use xbmc
> 

And if you can, give us a deeper explanation of what impossible to use implies (e.g. freeze, bad display...)

Thanks.

Luigi



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Luigi Pardey 2010-05-02 09:24:28 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Luigi



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Luigi Pardey 2010-05-02 09:26:26 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fabien Archambault 2010-05-03 08:28:40 EDT
Created attachment 410964 [details]
cat /var/log/Xorg.*.log > Xorg.log

All /var/log/Xorg.*.log files.
I do not have a xorg.conf file as it is the default created by nouveau driver.
Comment 5 Fabien Archambault 2010-05-03 08:29:12 EDT
Created attachment 410966 [details]
dmesg

dmesg file
Comment 6 Fabien Archambault 2010-05-03 08:31:27 EDT
>> And if you can, give us a deeper explanation of what impossible to use implies
(e.g. freeze, bad display...)

The display is correct but when you go through windows it is very slow and even the mouse is laggy. It is like when you play a game with full graphical options ON and you do not have the latest graphic card and everything needed.
All seems to load normally but is not usable. It is not easy to explain...
Comment 7 Fabien Archambault 2010-05-26 03:25:20 EDT
Little up!
Is there any news for nouveau + xbmc?
Comment 8 Luigi Pardey 2010-05-26 04:11:41 EDT
In your Xorg.log file it says "(II) AIGLX error: dlopen of
/usr/lib64/dri/nouveau_dri.so failed (/usr/lib64/dri/nouveau_dri.so: cannot
open shared object file: No such file or directory)"

This means you don't have the driver required for 3D acceleration and hence
your XBMC runs on software acceleration. That's why it is slow/laggy 

Nouveau doesn't support 3D acceleration with their driver yet, though the news
are Fedora 13 has experimental 3D support. You could try to install those
latest drivers under the final release of Fedora 13.
Comment 9 Fabien Archambault 2010-05-26 05:05:36 EDT
Thanks! You have pinpointed exactly the good thing!

Now xbmc works like a charm after doing:
yum install mesa-dri-drivers-experimental

And restarting the X server.

I made a few tests like runnning a vidéo, listening to music and everything was usable, not as fast as I remember with the nvidia driver but was working!
Comment 10 Luigi Pardey 2010-05-26 14:21:10 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.